Machine virtuelle Java de Sun : faille de sécurité

Le par  |  8 commentaire(s)

Attention, une faille de sécurité jugée critique vient d'être découverte au sein de la Machine Virtuelle Java de Sun.

Attention, une faille de sécurité jugée critique vient d'être découverte au sein de la Machine Virtuelle Java de Sun.

Comme d'habitude, elle permettrait à un individu mal intentionné de prendre le contrôle de votre PC en exécutant un code de son choix.

Toutes les versions semblent touchées :

  • SDK et JRE 1.4.2_05 et antérieures
  • versions 1.4.1 et 1.4.0
  • versions 1.3.1_12 et antérieures

et ce sur les systèmes d'exploitation :

  • Solaris
  • Windows
  • Linux



Remarque : la machine virtuelle de Microsoft n'est pas affectée par ce problème.

 

Sun recommande à tous de télécharger la dernière version sur son site, cette dernière ( J2SE version 1.4.2_06) étant exempt de cette faille.

 

Télécharger la machine virtuelle Java chez Sun

Plus d'informations chez Sun sur cette faille (en anglais)

Complément d'information

Vos commentaires

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #23757
Et en ce qui concerne la version 1.5.0 ''' Est-elle touchée par cette faille '''
Le #23759
Y'a une version 1.5.0 '

Au fait, je vois sur leur site
* J2SE 5.0
* J2SE 1.4.2

C'est quoi la différence '

Et au fait je fais le check de mise à jour directement du programme et il m'a téléchargé la version 1.4.2_05
Le #23769
il existe bien la Version 1.5.0 (build 1.5.0-b64) mais elle plante souvent, mieux vaut rester sur la 1.4.2.06
Le #23771
j'ai installé la 1.5 ''''
tu entend quoi par plantage
Le #23772
avec la 1.5 tu ne tiens pas 3 minutes sur un chat genre caramail sans que le navigateur ne se ferme.
Le #23791
Bonjour à Tous
La version 1.5 n'est pas concernée par la faille, c'est ce qui est indiqué sur le site Sun http://sunsolve.sun.com/search/document.do'assetkey=1-26-57591-1
Pour ma part, je l'utilise depuis 2 mois avec bonheur sous Linux et auncun plantage. Au bureau, j'ai fait migrer le parc complet (25 postes sous Windows 2000) et aucun soucis à signaler aussi.
Donc, pour moi, c'est stable...

A+ et Bien le Bonjour de Corse
Le #23834
C'est vrai, sous linux la version 1.5.0 ne pose pas de souci, c'est sous windows que ça se corse ( sans jeu de mots )
Le #23838
Ma fois j'utilise pas ce genre de machin...
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]